package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-需方收货人或供应商发货人表
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@TableName("purch_contract_buyer_seller_history")
public class PurchContractBuyerSellerHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableField("serial_number")
    private Integer serialNumber;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号
     */
    @TableField("id_card")
    private String idCard;

    /**
     * 联系方式
     */
    @TableField("contact")
    private String contact;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHisId;

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }
    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public Long getPurchContractBasicInfoHisId() {
        return purchContractBasicInfoHisId;
    }

    public void setPurchContractBasicInfoHisId(Long purchContractBasicInfoHisId) {
        this.purchContractBasicInfoHisId = purchContractBasicInfoHisId;
    }

    @Override
    public String toString() {
        return "PurchContractBuyerSellerHistory{" +
            "serialNumber=" + serialNumber +
            ", name=" + name +
            ", idCard=" + idCard +
            ", contact=" + contact +
        "}";
    }
}
